struts-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Lukasz Lenart <lukaszlen...@apache.org>
Subject Re: Struts 2.4
Date Tue, 24 Apr 2018 08:47:50 GMT
Finally, I was able to push changes to 2.4 - yesterday the repo was
out of sync, now it works :)

2018-04-24 8:50 GMT+02:00 Lukasz Lenart <lukaszlenart@apache.org>:
> 2018-04-24 8:40 GMT+02:00 Yasser Zamani <yasserzamani@apache.org>:
>> On 4/23/2018 11:31 PM, Lukasz Lenart wrote:
>>> I had the same problem before, I was able to build this module alone.
>>
>> Yes I had seen. Did you mean [1], the first occurrence of such error?
>
> No, it happened locally before I have started working on 2.4
>
>>> It only fails when building the whole project. There were some other
>>> modules that failed as well.
>>
>> Could you remember what module fails if we exclude "Struts 2 Webapp" module?
>
> I cannot recall but I can build 2.3.x branch to see. Anyway I do not
> think it is worth it.
>
>> I'm sorry, I'm ask because I worked a lot on this error and can conclude
>> that I think it isn't because of our commits, but because of ASF Jenkins
>> changes, but I couldn't find such error in Internet except for Struts!
>> So I feel maybe there is a bit problem somewhere maybe in our
>> dependencies [2] (because some modules build then next module fails!),
>> elsewhere we should file a bug for ASF INFRA.
>
> I had the same problem locally, using 2.3.x branch and JDK6, so it's
> not exactly an INFRA issue. It's probably a mix of old JDK, old Maven
> and old dependencies. I'm going to release another 2.3.x (or 2.4) and
> call EOL for 2.3/2.4 series. It doesn't make sense to waste so many
> energy and time on trying to keep it building.
>
>
> Regards
> --
> Ɓukasz
> + 48 606 323 122 http://www.lenart.org.pl/

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@struts.apache.org
For additional commands, e-mail: dev-help@struts.apache.org


Mime
View raw message